<?xml version="1.0" encoding="UTF-8"?>

<!--
    Reasonable Ammo Expansion - ui_display.xml

    All of the name= entries are CASE SENSITIVE

    @since       1.0.0
-->

<ReasonableAmmoExpansion>
    <!-- Add Shocking Arrows/Crossbow Bolts to the ammo wheel -->
    <insertAfter
        xpath="/ui_display_info/item_display/item_display_info[@display_type='ammoArrowFlaming']">
        <item_display_info display_type="ammoArrowShocking" display_group="groupAmmo">
            <display_entry name="EntityDamage" display_type="Decimal1"
                title_key="statEntityDamageRanged" tags="perkArchery,admin" />
            <display_entry name="BlockDamage" display_type="Decimal1" title_key="statBlockDamage"
                tags="perkArchery,admin" />
            <display_entry name="dDuration" title_key="statDuration" display_type="Time" />
            <display_entry name="ProjectileVelocity" title_key="statProjectileVelocity"
                tags="perkArchery,admin" />
            <display_entry name="dEntityDamageShock" title_key="statEntityDamageShock"
                display_type="Percent" />
        </item_display_info>
    </insertAfter>

    <!-- Add Shocking Shotgun Slugs to the ammo wheel -->
    <insertAfter
        xpath="/ui_display_info/item_display/item_display_info[@display_type='ammoShotgunSlug']">
        <item_display_info display_type="ammoShotgunShockingSlug" display_group="groupAmmo">
            <display_entry name="EntityDamage" display_type="Decimal1"
                title_key="statEntityDamageRanged"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="RoundRayCount" title_key="statRoundRayCount"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="dTargetArmor" title_key="statTargetArmor" display_type="Percent"
                display_leading_plus="true" negative_preferred="true"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="dTargetPenetration" title_key="statTargetPenetration"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="BlockDamage" display_type="Decimal1" title_key="statBlockDamage"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="DamageFalloffRange" title_key="statDamageFalloffRange"
                tags="perkGunslinger,perkBoomstick,perkDeadEye,perkMachineGunner,perkBookAutoWeapons,perkTurrets,perkArchery,admin" />
            <display_entry name="dEntityDamageShock" title_key="statEntityDamageShock"
                display_type="Percent" />
        </item_display_info>
    </insertAfter>
</ReasonableAmmoExpansion>